> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/tools-terraform/docs/data-sources/container_registry_token.md).

# ionoscloud\_container\_registry\_token

Get information on a Container Registry Token

The **Container Registry Token data source** can be used to search for and return an existing Container Registry Token. You can provide a string for the name parameter which will be compared with provisioned Container Registry Token. If a single match is found, it will be returned. If your search results in multiple matches, an error will be returned. When this happens, please refine your search and make sure that your resources have unique names.

## Example Usage

### By Id

```hcl
data "ionoscloud_container_registry_token" "example" {
  registry_id = ionoscloud_container_registry.example.id
  id          = "token_id"
}
```

### By Name

```hcl
data "ionoscloud_container_registry_token" "example" {
  registry_id = ionoscloud_container_registry.example.id
  name        = "container-registry-token-example"
}
```

### By Name with Partial Match

```hcl
data "ionoscloud_container_registry_token" "example" {
  registry_id   = ionoscloud_container_registry.example.id
  name          = "-example"
  partial_match = true
}
```

## Argument Reference

* `registry_id` - (Required) Registry's UUID.
* `id` - (Optional) ID of the container registry token you want to search for.
* `name` - (Optional) Name of an existing container registry token that you want to search for. Search by name is case-insensitive. The whole resource name is required if `partial_match` parameter is not set to true.
* `partial_match` - (Optional) Whether partial matching is allowed or not when using name argument. Default value is false.

`registry_id` and either `name` or `id` must be provided. If none, or both of `name` and `id` are provided, the datasource will return an error.

## Attributes Reference

The following attributes are returned by the datasource:

* `id` - Id of the container registry token.
* `name` - The name of the container registry token.
* `credentials`
  * `username`
* `expiry-date`
* `scopes`
  * `actions`
  * `name`
  * `type`
* `status`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/tools-terraform/docs/data-sources/container_registry_token.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
